#ifndef MY_DIM
#error MY_DIM unset
#endif

#include "../explicitgrid.hh"
#include "../explicitvectors.hh"
#include "cuboidgeometry.hh"

template class GridsConstructor<Grid>;

template struct MyFaces<LeafGridView>;
template struct MyFaces<LevelGridView>;

template MyFaces<LeafGridView> GridsConstructor<Grid>::constructFaces(
    LeafGridView const &gridView, CuboidGeometry const &CuboidGeometry_);

template MyFaces<LevelGridView> GridsConstructor<Grid>::constructFaces(
    LevelGridView const &gridView, CuboidGeometry const &CuboidGeometry_);

template void refine<Grid, LocalVector>(
    Grid &grid, ConvexPolyhedron<LocalVector> const &weakPatch,
    double smallestDiameter, double lengthScale);
